﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_23_4_6 {
  class Program {
    static void Main() {
      int kwh;
      double t;
      string input;

      Console.Write("Enter number of Kilowatt-hours consumed: ");
      input = Console.ReadLine();

      if (Int32.TryParse(input, out kwh) == false) {
        Console.WriteLine("Entered value contains non-numeric characters");
      }
      else if (kwh < 0) {
        Console.WriteLine("Entered value is negative");
      }
      else {
        if (kwh <= 500) {
          t = kwh * 0.10;
        }
        else if (kwh <= 2000) {
          t = 0.25 * kwh - 75;
        }
        else if (kwh <= 4000) {
          t = 0.4 * kwh - 375;
        }
        else {
          t = 0.6 * kwh - 1175;
        }

        t = 1.10 * t;  //This is equivalent to 
        //t = t + t * 10 / 100
        //but more efficient 

        Console.WriteLine("Total amount to pay (taxes included): " + t);
      }
      Console.ReadKey();
    }

  }
}
