﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_37_4_7 {
  class Program {
    const int TEAMS = 32;
    const int PLAYERS = 24;

    static void Main() {
      int i, j, m, n, temp;
      bool swaps;
      string temp_str;

      //Read team names, player names and goals all together
      string[] t = new string[TEAMS];
      string[,] p = new string[TEAMS, PLAYERS];
      int[,] g = new int[TEAMS, PLAYERS];
      for (i = 0; i <= TEAMS - 1; i++) {
        Console.WriteLine("Enter name for team No. " + (i + 1) + ": ");
        t[i] = Console.ReadLine();
        for (j = 0; j <= PLAYERS - 1; j++) {
          Console.WriteLine("Enter name of player No. " + (j + 1) + ": ");
          p[i, j] = Int32.Parse(Console.ReadLine());
          Console.WriteLine("Enter goals of player No. " + (j + 1) + ": ");
          g[i, j] = Int32.Parse(Console.ReadLine());
        }
      }

      //sort array g
      for (i = 0; i <= TEAMS - 1; i++) {
        m = 1;
        swaps = true;
        while (m <= PLAYERS - 1 && swaps == true) {
          swaps = false;
          for (n = PLAYERS - 1; n >= m; n--) {
            if (g[i, n] > g[i, n - 1]) {
              temp = g[i, n];
              g[i, n] = g[i, n - 1];
              g[i, n - 1] = temp;

              temp_str = p[i, n];
              p[i, n] = p[i, n - 1];
              p[i, n - 1] = temp_str;

              swaps = true;
            }
          }
          m++;
        }
      }

      //Display 5 best scorers of each team
      for (i = 0; i <= TEAMS - 1; i++) {
        Console.WriteLine("Best scorers of " + t[i]);
        Console.WriteLine("-----------------------------------");
        for (j = 0; j <= 4; j++) {
          Console.WriteLine(p[i, j] + " scored " + g[i, j] + " goals");
        }
      }

      Console.ReadKey();
    }

  }
}
