﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_31_4_7 {
  class Program {
    const double ACCURACY = 0.0000000000001;
    static void Main() {
      double y, guess;
      string input;

      Random rnd = new Random();

      Console.Write("Enter a non-negative number: ");
      input = Console.ReadLine();
      while (Double.TryParse(input, out y) == false || y < 0) {
        Console.WriteLine("Invalid value. Enter a non-negative number: ");
        input = Console.ReadLine();
      }
      guess = rnd.Next(1, (int)y);	//Make a random first guess
                                    //between 1 and given value

      while (Math.Abs(guess * guess - y) > ACCURACY) { //is it "close enough"?
        guess = (guess + y / guess) / 2;		  //No, create a new "guess"!
      }
      Console.Write(guess);
      Console.ReadKey();
    }

  }
}
