﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace project_35_4_1a {
  class Program {
    const int STUDENTS = 10;
    const int LESSONS = 5;

    static void Main() {
      int i, j;

      //Read names and grades all together
      string[] names = new string[STUDENTS];
      int[,] grades = new int[STUDENTS, LESSONS];
      for (i = 0; i <= STUDENTS - 1; i++) {
        Console.Write("Enter name for student No. " + (i + 1) + ": ");
        names[i] = Console.ReadLine();
        for (j = 0; j <= LESSONS - 1; j++) {
          Console.Write("Enter grade No. " + (j + 1));
          Console.Write(" for " + names[i] + ": ");
          grades[i, j] = Int32.Parse(Console.ReadLine());
        }
      }

      //Create array count
      int[] count = new int[STUDENTS];
      for (i = 0; i <= STUDENTS - 1; i++) {
        count[i] = 0;
        for (j = 0; j <= LESSONS - 1; j++) {
          if (grades[i, j] > 89) {
            count[i]++;
          }
        }
      }

      //Displays the names of the students who have
      //more than one grades greater than 89
      for (i = 0; i <= STUDENTS - 1; i++) {
        if (count[i] > 1) {
          Console.WriteLine(names[i]);
        }
      }
      Console.ReadKey();
    }

  }
}
